5.3.0-git
2014-11-22

[#5282] Slug support
Summary Slug support
Queue Jonah
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester chuck (at) horde (dot) org
Created 2007-04-22 (2771 days ago)
Due
Updated 2008-05-29 (2368 days ago)
Assigned
Resolved
Milestone
Patch No

History
2008-05-29 22:32:41 Chuck Hagenbuch Comment #3 Reply to this comment
Mostly already covered, but a few things worth noting:

http://blog.liip.ch/archive/2006/01/04/cool-uris-don-t-change.html
2008-05-24 19:51:28 Chuck Hagenbuch Comment #2
Summary ⇒ Slug support
Reply to this comment
We should support slugs in Jonah. They should be unique on a 
per-channel basis, but if it's not too hard, we could also have a rule 
for saying that if the URL also includes the post date, then the 
uniqueness is per-channel per-date (whatever date format is configured 
for that channel). So the channel should have a slug_format parameter 
(with configurable date placeholders and the actual slug) and stories 
should have a slug parameter.



Slugs should be automatically generated from the title at first, but 
not overridden afterwards, and there should be a warning that changing 
the slug after the story has been published can change its URL.



See the evolving docs at http://wiki.horde.org/Doc/Dev/Slugs
2007-04-22 01:32:17 Chuck Hagenbuch Comment #1
State ⇒ Accepted
Queue ⇒ Jonah
Summary ⇒ Post-title as URL support
Type ⇒ Enhancement
Priority ⇒ 1. Low
Reply to this comment
Allow either generating files or using rewrite rules so that a post 
with the title "A new dog" would be accessible from the URL 
/horde-jonah-prefix/channel-short-name/a_new_dog